## python-barbicanclient 3.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr<2.0,>=1.4
argparse
requests>=2.5.2
six>=1.9.0
python-keystoneclient>=1.6.0
cliff>=1.14.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0

## python-barbicanclient 2.2.1

=== debian/changelog ===
python-barbicanclient (2.2.1-1) unstable; urgency=medium

  * Initial release. (Closes: #760632)

 -- Thomas Goirand <zigo@debian.org>  Sat, 06 Sep 2014 17:21:41 +0800

=== debian/control ===
Source: python-barbicanclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr,
               python-setuptools
Build-Depends-Indep: python-coverage (>= 3.6),
                     python-hacking (>= 0.7.0),
                     python-httpretty (>= 0.8.0),
                     python-keystoneclient (>= 1:0.9.0),
                     python-mock (>= 1.0.1),
                     python-requests (>= 1.2.3),
                     python-six (>= 1.5.2),
                     python-testtools (>= 0.9.32),
                     subunit,
                     testrepository (>= 0.0.17)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-barbicanclient.git
Vcs-Git: git://anonscm.debian.org/openstack/python-barbicanclient.git
Homepage: https://github.com/openstack/barbican

Package: python-barbicanclient
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-keystoneclient (>= 1:0.9.0),
         python-pbr,
         python-requests (>= 1.2.3),
         python-six (>= 1.5.2),
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack Key Management API client - Python 2.x
 This is a client for the Barbican Key Management API. This package includes a
 Python library for accessing the API (the barbicanclient module), and a
 command-line script (barbican).
 .
 This package contains the Python 2.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
#PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/<please-user>/python-barbicanclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-barbicanclient; \
	done
#	set -e && for pyvers in $(PYTHON3S); do \
#		python$$pyvers setup.py install --install-layout=deb \
#			--root $(CURDIR)/debian/python3-python-barbicanclient; \
#	done
	rm -rf $(CURDIR)/debian/python*-python-barbicanclient/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "===> Running tests"
	set -ex ; for i in $(PYTHONS) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/p/python-barbicanclient python-barbicanclient-(.*).tar.gz

## python-barbicanclient 3.0.2

=== debian/changelog ===
python-barbicanclient (3.0.2-0ubuntu2) vivid; urgency=medium

  * d/control: Switch to new non-namespaced oslo packages.
  * d/*: wrap-and-sort. 
  * d/control: Bumped Standards-Version to 3.9.6, no changes.
  * d/control: Align dependencies to required minimum versions.

 -- James Page <james.page@ubuntu.com>  Wed, 11 Feb 2015 11:07:12 +0000

python-barbicanclient (3.0.2-0ubuntu1) vivid; urgency=medium

  * New upstream release. 
  * debian/control: Add python-requests-mock.
  * debian/control: Add python-cliff
  * debian/control: Add python-oslotest
  * debian/control: Add python-oslo.utils
  * debian/control: Add python-oslo.serialization
  * debian/control: Add python-oslo.i18n

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Feb 2015 20:09:14 -0500

=== debian/control ===
Source: python-barbicanclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends:
 debhelper (>= 9),
 openstack-pkg-tools,
 python-all (>= 2.6.6-3~),
 python-pbr,
 python-setuptools
Build-Depends-Indep:
 python-cliff (>= 1.7.0),
 python-coverage (>= 3.6),
 python-hacking (>= 0.7.0),
 python-httpretty (>= 0.8.0),
 python-keystoneclient (>= 1:1.0.0),
 python-mock (>= 1.0.1),
 python-oslo-i18n (>= 1.3.0),
 python-oslo-serialization (>= 1.2.0),
 python-oslo-utils (>= 1.2.0),
 python-oslotest,
 python-requests (>= 2.2.0),
 python-requests-mock,
 python-six (>= 1.7.0),
 python-testtools (>= 0.9.32),
 subunit,
 testrepository (>= 0.0.17)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-barbicanclient.git
Vcs-Git: git://anonscm.debian.org/openstack/python-barbicanclient.git
Homepage: https://github.com/openstack/barbican

Package: python-barbicanclient
Architecture: all
Depends:
 python-cliff (>= 1.7.0),
 python-keystoneclient (>= 1:1.0.0),
 python-oslo-i18n (>= 1.3.0),
 python-oslo-serialization (>= 1.2.0),
 python-oslo-utils (>= 1.2.0),
 python-pbr,
 python-requests (>= 2.2.0),
 python-six (>= 1.7.0),
 ${misc:Depends},
 ${python:Depends}
Description: OpenStack Key Management API client - Python 2.x
 This is a client for the Barbican Key Management API. This package includes a
 Python library for accessing the API (the barbicanclient module), and a
 command-line script (barbican).
 .
 This package contains the Python 2.x module.

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 		rm -rf .testrepository ; \
 		testr-python$$PYMAJOR init ; \
 		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit  || true; \
 		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
 		rm -f $$TEMP_REZ ; \
 		testr-python$$PYMAJOR slowest ; \

## python-barbicanclient 3.3.0

=== debian/changelog ===
python-barbicanclient (3.3.0-4+4~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Removed UPSTREAM_GIT with default value

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 12 Sep 2016 20:46:03 +0000

python-barbicanclient (3.3.0-3) unstable; urgency=medium

  * Uploading to unstable.
  * Do not test with Python 3.5: there's issues with it.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 21:27:22 +0000

python-barbicanclient (3.3.0-2) experimental; urgency=medium

  * Added Python3 support.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Sep 2015 21:32:26 +0000

python-barbicanclient (3.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 06 Sep 2015 23:43:31 +0200

python-barbicanclient (3.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Blacklist all TestBarbicanWithKeystone* because of an issue in the fixture.
  * Do not use PyPi for the watch file, but github tag.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Jul 2015 20:37:25 +0000

python-barbicanclient (3.0.3-1) unstable; urgency=medium

  * Do not run unit tests on Python 2.6.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Feb 2015 18:23:18 +0100

=== debian/control ===
Source: python-barbicanclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.6),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.6),
               python3-setuptools,
Build-Depends-Indep: python-cliff (>= 1.14.0),
                     python-coverage,
                     python-fixtures (>= 1.3.1),
                     python-hacking,
                     python-keystoneclient (>= 1:1.6.0),
                     python-mock (>= 1.3),
                     python-nose,
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-requests (>= 2.5.2),
                     python-requests-mock (>= 0.6.0),
                     python-six (>= 1.9.0),
                     python-testtools (>= 1.4.0),
                     python3-cliff (>= 1.14.0),
                     python3-fixtures (>= 1.3.1),
                     python3-keystoneclient (>= 1:1.6.0),
                     python3-mock (>= 1.3),
                     python3-nose,
                     python3-oslo.i18n (>= 1.5.0),
                     python3-oslo.serialization (>= 1.4.0),
                     python3-oslo.utils (>= 2.0.0),
                     python3-oslotest (>= 1.10.0),
                     python3-requests (>= 2.5.2),
                     python3-requests-mock (>= 0.6.0),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-barbicanclient.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-barbicanclient.git
Homepage: https://github.com/openstack/barbican

Package: python-barbicanclient
Architecture: all
Depends: python-cliff (>= 1.14.0),
         python-keystoneclient (>= 1:1.6.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 2.0.0),
         python-pbr (>= 1.6),
         python-requests (>= 2.5.2),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Key Management API client - Python 2.x
 This is a client for the Barbican Key Management API. This package includes a
 Python library for accessing the API (the barbicanclient module), and a
 command-line script (barbican).
 .
 This package contains the Python 2.x module.

Package: python3-barbicanclient
Architecture: all
Depends: python3-cliff (>= 1.14.0),
         python3-keystoneclient (>= 1:1.6.0),
         python3-oslo.i18n (>= 1.5.0),
         python3-oslo.serialization (>= 1.4.0),
         python3-oslo.utils (>= 2.0.0),
         python3-pbr (>= 1.6),
         python3-requests (>= 2.5.2),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Description: OpenStack Key Management API client - Python 3.x
 This is a client for the Barbican Key Management API. This package includes a
 Python library for accessing the API (the barbicanclient module), and a
 command-line script (barbican).
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-barbicanclient; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-barbicanclient; \
	done
	rm -rf $(CURDIR)/debian/python*-python-barbicanclient/usr/lib/python*/dist-packages/*.pth
	mv $(CURDIR)/debian/python-barbicanclient/usr/bin/barbican $(CURDIR)/debian/python-barbicanclient/usr/bin/python2-barbican
	mv $(CURDIR)/debian/python3-barbicanclient/usr/bin/barbican $(CURDIR)/debian/python3-barbicanclient/usr/bin/python3-barbican

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "===> Running tests"
	set -ex ; for i in 2.7 3.4 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'barbicanclient\.tests\.test_barbican\.(?!.*TestBarbicanWithKeystone.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-barbicanclient/usr/share/doc/python-barbicanclient/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-barbicanclient 4.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
cliff!=1.16.0,!=1.17.0,>=1.15.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0

=== debian/changelog ===
python-barbicanclient (4.0.1-3+24~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Tue, 04 Oct 2016 08:55:09 +0000

python-barbicanclient (4.0.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Fixed oslotest EPOCH.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 10:07:45 +0200

python-barbicanclient (4.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 11:29:23 +0000

python-barbicanclient (4.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 Apr 2016 14:58:32 +0200

python-barbicanclient (4.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).
  * HTTPS VCS URLs.
  * Correctly run unit tests for available Py3 versions.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2016 11:20:00 +0100

=== debian/control ===
Source: python-barbicanclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-cliff (>= 1.15.0),
                     python-coverage,
                     python-fixtures (>= 1.3.1),
                     python-hacking,
                     python-keystoneclient (>= 1:1.6.0),
                     python-mock (>= 1.3),
                     python-nose,
                     python-openstackclient (>= 2.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-requests (>= 2.8.1),
                     python-requests-mock (>= 0.7.0),
                     python-six (>= 1.9.0),
                     python-testtools (>= 1.4.0),
                     python3-cliff (>= 1.15.0),
                     python3-fixtures (>= 1.3.1),
                     python3-keystoneclient (>= 1:1.6.0),
                     python3-mock (>= 1.3),
                     python3-nose,
                     python3-openstackclient (>= 2.1.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.5.0),
                     python3-oslotest (>= 1:1.10.0),
                     python3-requests (>= 2.8.1),
                     python3-requests-mock (>= 0.7.0),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.7
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-barbicanclient?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-python-barbicanclient -b debian/newton
Homepage: https://github.com/openstack/barbican

Package: python-barbicanclient
Architecture: all
Depends: python-cliff (>= 1.15.0),
         python-keystoneclient (>= 1:1.6.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.5.0),
         python-pbr (>= 1.8),
         python-requests (>= 2.8.1),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Key Management API client - Python 2.x
 This is a client for the Barbican Key Management API. This package includes a
 Python library for accessing the API (the barbicanclient module), and a
 command-line script (barbican).
 .
 This package contains the Python 2.x module.

Package: python3-barbicanclient
Architecture: all
Depends: python3-cliff (>= 1.15.0),
         python3-keystoneclient (>= 1:1.6.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.5.0),
         python3-pbr (>= 1.8),
         python3-requests (>= 2.8.1),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Description: OpenStack Key Management API client - Python 3.x
 This is a client for the Barbican Key Management API. This package includes a
 Python library for accessing the API (the barbicanclient module), and a
 command-line script (barbican).
 .
 This package contains the Python 3.x module.

## python-barbicanclient 4.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
requests>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT
python-keystoneclient!=2.1.0,>=2.0.0 # Apache-2.0
cliff!=1.16.0,!=1.17.0,>=1.15.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0

=== debian/changelog ===
python-barbicanclient (4.1.0-0ubuntu2) artful; urgency=medium

  * No-change rebuild against python3.6

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 28 Jul 2017 17:57:55 -0400

python-barbicanclient (4.1.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Nov 2016 12:56:50 -0500

=== debian/control ===
Source: python-barbicanclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-cliff (>= 1.15.0),
                     python-coverage,
                     python-fixtures (>= 3.0.0),
                     python-hacking,
                     python-keystoneclient (>= 1:2.0.0),
                     python-mock (>= 1.3),
                     python-nose,
                     python-openstackclient (>= 2.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.0),
                     python-six (>= 1.9.0),
                     python-testtools (>= 1.4.0),
                     python3-cliff (>= 1.15.0),
                     python3-fixtures (>= 3.0.0),
                     python3-keystoneclient (>= 1:2.0.0),
                     python3-mock (>= 1.3),
                     python3-nose,
                     python3-openstackclient (>= 2.1.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.16.0),
                     python3-oslotest (>= 1.10.0),
                     python3-requests (>= 2.10.0),
                     python3-requests-mock (>= 1.0),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.7
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-barbicanclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-barbicanclient
Homepage: https://github.com/openstack/barbican

Package: python-barbicanclient
Architecture: all
Depends: python-cliff (>= 1.15.0),
         python-keystoneclient (>= 1:2.0.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-pbr (>= 1.8),
         python-requests (>= 2.10.0),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Key Management API client - Python 2.x
 This is a client for the Barbican Key Management API. This package includes a
 Python library for accessing the API (the barbicanclient module), and a
 command-line script (barbican).
 .
 This package contains the Python 2.x module.

Package: python3-barbicanclient
Architecture: all
Depends: python3-cliff (>= 1.15.0),
         python3-keystoneclient (>= 1:2.0.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.16.0),
         python3-pbr (>= 1.8),
         python3-requests (>= 2.10.0),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Description: OpenStack Key Management API client - Python 3.x
 This is a client for the Barbican Key Management API. This package includes a
 Python library for accessing the API (the barbicanclient module), and a
 command-line script (barbican).
 .
 This package contains the Python 3.x module.

## python-barbicanclient 4.6.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
six>=1.10.0 # MIT
cliff!=2.9.0,>=2.8.0 # Apache-2.0
keystoneauth1>=3.3.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0

=== debian/changelog ===
python-barbicanclient (4.6.0-0ubuntu1.1) bionic; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/queens branch.

  [ Jorge Niedbalski ]
  * d/p/0001-Allow-fetching-by-UUID-and-respect-interface.patch,
  * d/p/0002-Secret-payload-should-also-be-fetched-by-UUID.patch:
    Adds patches to properly support fetching by UUID (LP: #1867676).

 -- Jorge Niedbalski <jorge.niedbalski@canonical.com>  Tue, 17 Mar 2020 11:13:24 -0300

python-barbicanclient (4.6.0-0ubuntu1) bionic; urgency=medium

  * d/watch: Use pypi.debian.net.
  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Switch to using keystoneauth1.
  * d/control: Switch to using python3-sphinx.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Feb 2018 15:34:23 +0000

=== debian/control ===
Source: python-barbicanclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 1.8),
 python-setuptools,
 python3-sphinx,
 python3-all,
 python3-pbr (>= 1.8),
 python3-setuptools,
Build-Depends-Indep:
 python-cliff (>= 1.15.0),
 python-coverage,
 python-fixtures (>= 3.0.0),
 python-hacking,
 python-keystoneauth1 (>= 3.3.0),
 python-mock (>= 2.0.0),
 python-nose,
 python-openstackclient (>= 2.1.0),
 python3-openstackdocstheme (>= 1.18.1),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslosphinx (>= 2.5.0),
 python-oslotest (>= 1.10.0),
 python-requests (>= 2.10.0),
 python-requests-mock (>= 1.0),
 python-six (>= 1.10.0),
 python-testtools (>= 2.2.0),
 python3-cliff (>= 1.15.0),
 python3-fixtures (>= 3.0.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-mock (>= 2.0.0),
 python3-nose,
 python3-openstackclient (>= 2.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1.10.0),
 python3-requests (>= 2.10.0),
 python3-requests-mock (>= 1.0),
 python3-six (>= 1.10.0),
 python3-subunit (>= 1.0.0),
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 3.9.7
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-barbicanclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-barbicanclient
Homepage: https://github.com/openstack/barbican

Package: python-barbicanclient
Architecture: all
Depends:
 python-cliff (>= 1.15.0),
 python-keystoneauth1 (>= 3.3.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 1.8),
 python-requests (>= 2.10.0),
 python-six (>= 1.10.0),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Key Management API client - Python 2.x
 This is a client for the Barbican Key Management API. This package includes a
 Python library for accessing the API (the barbicanclient module), and a
 command-line script (barbican).
 .
 This package contains the Python 2.x module.

Package: python3-barbicanclient
Architecture: all
Depends:
 python3-cliff (>= 1.15.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 1.8),
 python3-requests (>= 2.10.0),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Key Management API client - Python 3.x
 This is a client for the Barbican Key Management API. This package includes a
 Python library for accessing the API (the barbicanclient module), and a
 command-line script (barbican).
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
+UPSTREAM_GIT = git://github.com/openstack/python-barbicanclient.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(VERSION)
@@ -26,7 +27,7 @@
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	echo "===> Running tests"
-	set -ex ; for i in 2.7 3.4 ; do \
+	set -ex ; for i in 2.7 $(PYTHON3S) ; do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
 		rm -rf .testrepository ; \

## python-barbicanclient 4.7.0

=== debian/changelog ===
python-barbicanclient (4.7.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Get orig tarball from pypi.debian.net.
  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 Jul 2018 14:59:43 -0400

python-barbicanclient (4.6.0-3) unstable; urgency=medium

  * Python 3 client now has priority over Python 2 version.
  * Fixed Python 3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 12:50:18 +0100

python-barbicanclient (4.6.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:46:53 +0000

python-barbicanclient (4.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Feb 2018 08:12:34 +0000

python-barbicanclient (4.5.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 23:44:25 +0000

python-barbicanclient (4.5.2-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Removed UPSTREAM_GIT with default value

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{test,install}.
  * Fixed debian/copyright ordering.
  * Standards-Version: 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Oct 2017 16:58:57 +0200

=== debian/control ===
Source: python-barbicanclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-cliff (>= 2.8.0),
 python-coverage (>= 4.0),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.12.0),
 python-keystoneauth1 (>= 3.4.0),
 python-mock (>= 2.0.0),
 python-nose (>= 1.3.7),
 python-openstackclient (>= 3.12.0),
 python-openstackdocstheme (>= 1.18.1),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.2.0),
 python-six (>= 1.10.0),
 python-stestr,
 python-testtools (>= 2.2.0),
 python3-cliff (>= 2.8.0),
 python3-fixtures (>= 3.0.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock (>= 2.0.0),
 python3-nose (>= 1.3.7),
 python3-openstackclient (>= 3.12.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-stestr,
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.1
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-barbicanclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-barbicanclient
Homepage: https://github.com/openstack/barbican
Testsuite: autopkgtest-pkg-python

Package: python-barbicanclient
Architecture: all
Depends:
 python-cliff (>= 2.8.0),
 python-keystoneauth1 (>= 3.4.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Key Management API client - Python 2.x
 This is a client for the Barbican Key Management API. This package includes a
 Python library for accessing the API (the barbicanclient module), and a
 command-line script (barbican).
 .
 This package contains the Python 2.x module.

Package: python3-barbicanclient
Architecture: all
Depends:
 python3-cliff (>= 2.8.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Key Management API client - Python 3.x
 This is a client for the Barbican Key Management API. This package includes a
 Python library for accessing the API (the barbicanclient module), and a
 command-line script (barbican).
 .
 This package contains the Python 3.x module.

## python-barbicanclient 4.7.2

=== debian/changelog ===
python-barbicanclient (4.7.2-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Feb 2019 14:40:17 +0100

python-barbicanclient (4.7.1-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 13 Dec 2018 17:03:03 +0100

python-barbicanclient (4.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 22:24:20 +0200

python-barbicanclient (4.7.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Switched to Python 3 for the sphinx doc.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Aug 2018 17:41:16 +0200

=== debian/control ===
Source: python-barbicanclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-cliff (>= 2.8.0),
 python-coverage,
 python-fixtures,
 python-hacking,
 python-keystoneauth1 (>= 3.4.0),
 python-mock,
 python-nose (>= 1.3.7),
 python-openstackclient (>= 3.12.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 3.2.0),
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.2.0),
 python-six,
 python-stestr,
 python-testtools (>= 2.2.0),
 python3-cliff (>= 2.8.0),
 python3-fixtures,
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock,
 python3-nose (>= 1.3.7),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 3.2.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six,
 python3-stestr,
 python3-testtools (>= 2.2.0),
 subunit,
Standards-Version: 4.1.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-barbicanclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-barbicanclient.git
Homepage: https://github.com/openstack/barbican

Package: python-barbicanclient
Architecture: all
Depends:
 python-cliff (>= 2.8.0),
 python-keystoneauth1 (>= 3.4.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-requests (>= 2.14.2),
 python-six (>= 1.9.0),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Key Management API client - Python 2.x
 This is a client for the Barbican Key Management API. This package includes a
 Python library for accessing the API (the barbicanclient module), and a
 command-line script (barbican).
 .
 This package contains the Python 2.x module.

Package: python3-barbicanclient
Architecture: all
Depends:
 python3-cliff (>= 2.8.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.9.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Key Management API client - Python 3.x
 This is a client for the Barbican Key Management API. This package includes a
 Python library for accessing the API (the barbicanclient module), and a
 command-line script (barbican).
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'barbicanclient\.tests\.test_barbican\.(?!.*TestBarbicanWithKeystone.*)'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-barbicanclient/usr/share/doc/python-barbicanclient/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-barbicanclient 4.8.1

=== debian/changelog ===
python-barbicanclient (4.8.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 10:17:14 -0500

python-barbicanclient (4.8.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Nov 2018 12:41:46 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-barbicanclient
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -17,45 +18,49 @@
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  python-cliff (>= 2.8.0),
- python-coverage,
- python-fixtures,
- python-hacking,
+ python-coverage (>= 4.0),
+ python-fixtures (>= 3.0.0),
+ python-hacking (>= 1.1.0),
  python-keystoneauth1 (>= 3.4.0),
- python-mock,
+ python-mock (>= 2.0.0),
  python-nose (>= 1.3.7),
  python-openstackclient (>= 3.12.0),
  python-oslo.config (>= 1:5.2.0),
  python-oslo.i18n (>= 3.15.3),
  python-oslo.serialization (>= 2.18.0),
  python-oslo.utils (>= 3.33.0),
- python-oslotest (>= 3.2.0),
+ python-oslotest (>= 1:3.2.0),
  python-requests (>= 2.14.2),
  python-requests-mock (>= 1.2.0),
- python-six,
- python-stestr,
+ python-six (>= 1.10.0),
+ python-stestr (>= 2.0.0),
  python-testtools (>= 2.2.0),
  python3-cliff (>= 2.8.0),
- python3-fixtures,
+ python3-coverage (>= 4.0),
+ python3-fixtures (>= 3.0.0),
+ python3-hacking (>= 1.1.0),
  python3-keystoneauth1 (>= 3.4.0),
- python3-mock,
+ python3-mock (>= 2.0.0),
  python3-nose (>= 1.3.7),
  python3-openstackclient (>= 3.12.0),
- python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
+ python3-openstackdocstheme (>= 1.18.1),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 3.33.0),
- python3-oslotest (>= 3.2.0),
+ python3-oslotest (>= 1:3.2.0),
  python3-requests (>= 2.14.2),
  python3-requests-mock (>= 1.2.0),
- python3-six,
- python3-stestr,
+ python3-six (>= 1.10.0),
+ python3-stestr (>= 2.0.0),
  python3-testtools (>= 2.2.0),
  subunit,
+ testrepository,
 Standards-Version: 4.1.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-barbicanclient
-Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-barbicanclient.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-barbicanclient
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-barbicanclient
 Homepage: https://github.com/openstack/barbican
+Testsuite: autopkgtest-pkg-python
 
 Package: python-barbicanclient
 Architecture: all
@@ -67,7 +72,7 @@
  python-oslo.utils (>= 3.33.0),
  python-pbr (>= 2.0.0),
  python-requests (>= 2.14.2),
- python-six (>= 1.9.0),
+ python-six (>= 1.10.0),
  ${misc:Depends},
  ${python:Depends},
 Description: OpenStack Key Management API client - Python 2.x
@@ -87,7 +92,7 @@
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),
  python3-requests (>= 2.14.2),
- python3-six (>= 1.9.0),
+ python3-six (>= 1.10.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: OpenStack Key Management API client - Python 3.x

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-barbicanclient/usr/share/doc/python-barbicanclient/html
+	sphinx-build -b html doc/source $(CURDIR)/debian/python-barbicanclient/usr/share/doc/python-barbicanclient/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif
